Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class BusinessPolicyHome

    java.lang.Object
      com.beasys.commerce.foundation.BusinessPolicyHome

All Implemented Interfaces
  SmartHome

Deprecated See BEA Commerce product offering

    @Deprecated
    public class BusinessPolicyHome

extends Object
implements SmartHome

This is a BusinessPolicy home/bean factory. This implementation caches classes for increased performance using the design pattern that reduces contention and synchronization overhead.

See Also
  `CommercePropertiesHelper`

Field Summary
`static String` | `CUSTOM_HOME_NAME` Deprecated See BEA Commerce product offering
`static String` | `DEFAULT_BUSINESS_POLICY_IMPL_SUFFIX` Deprecated See BEA Commerce product offering
`static String` | `DEFAULT_POLICY_BEAN_CLASS_NAME` Deprecated See BEA Commerce product offering

Constructor Summary
`BusinessPolicyHome()` Deprecated See BEA Commerce product offering

Method Summary
`static BusinessPolicy` | `create(String businessPolicyInterfaceClassName)` Deprecated See BEA Commerce product offering
`static SmartHome` | `getCustomHome(String businessPolicyInterfaceClassName)` Deprecated See BEA Commerce product offering
`static void` | `init()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUSTOM_HOME_NAME

    public static final String CUSTOM_HOME_NAME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DEFAULT_POLICY_BEAN_CLASS_NAME

    public static final String DEFAULT_POLICY_BEAN_CLASS_NAME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DEFAULT_BUSINESS_POLICY_IMPL_SUFFIX

    public static final String DEFAULT_BUSINESS_POLICY_IMPL_SUFFIX

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### BusinessPolicyHome

    public BusinessPolicyHome()

  Deprecated See BEA Commerce product offering

Method Detail

### init

    public static void init()

  Deprecated See BEA Commerce product offering

  The init method must be called before any BusinessPolicies are created. This is required for supporting pluggable BelongingHomes specified in the commerce.properties file.

### getCustomHome

    public static SmartHome getCustomHome(String businessPolicyInterfaceClassName)

  Deprecated See BEA Commerce product offering

  Given a bean interface, use the factory pattern to get its custom home. If a bean's custom home is not defined in the weblogiccommerce.properties file, then this method returns null. This is an example of specifying a custom home name in the properties file.

       com.beasys.commerce.ebusiness.item.ItemPriceCalculationPolicy.CustomHomeName = com.acme.util.ExpertPricerHome
       com.beasys.commerce.ebusiness.item.ItemPriceCalculationPolicy.DefaultPolicyClassName = com.acme.util.ExpertPricer

### create

    public static BusinessPolicy create(String businessPolicyInterfaceClassName)

  Deprecated See BEA Commerce product offering

  Given a bean interface, use the factory pattern to create an instance. The bean instance can be obtained from the weblogiccommerce.properties file. If it is not there, then we will use the default Impl where is the name of the bean interface. This is an example of specifying a different Impl class in the properties file.

       com.beasys.commerce.ebusiness.item.ItemPriceCalculationPolicy.CustomHomeName = com.acme.util.ExpertPricerHome
       com.beasys.commerce.ebusiness.item.ItemPriceCalculationPolicy.DefaultPolicyClassName = com.acme.util.ExpertPricer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved